/** Copyright (C) 2017 by Bundesanstalt für Gewässerkunde
 * Software engineering by
 *  Björnsen Beratende Ingenieure GmbH
 *  Dr. Schumacher Ingenieurbüro für Wasser und Umwelt
 *
 * This file is Free Software under the GNU AGPL (>=v3)
 * and comes with ABSOLUTELY NO WARRANTY! Check out the
 * documentation coming with Dive4Elements River for details.
 */
package org.dive4elements.river.artifacts.datacage.templating;

import java.util.List;

import javax.xml.xpath.XPathFunction;
import javax.xml.xpath.XPathFunctionException;

import org.dive4elements.river.artifacts.uinfo.vegetationzones.VegetationZone;

/**
 * Very specialized function the resolves the 'year' (als middle of all used events) from a fix-analysis-vollmer
 * artifact).
 *
 * @author Gernot Belger
 */
public class DefaultVegetationZoneXPathFunction implements XPathFunction {

    public static final String ID = "defaultvegetationzone";

    public static final int ARITY = 0;

    @Override
    public Object evaluate(final List args) throws XPathFunctionException {
        return VegetationZone.parseListToDataString(VegetationZone.getStandardList());
    }
}